﻿.spl-green {
    color: var(--default-spl-green) !important;
}

.spl-green-bg {
    background-color: var(--default-spl-green) !important;
}

.spl-blue {
    color: var(--default-spl-blue) !important;
}

.spl-blue-bg {
    background-color: var(--default-spl-blue) !important;
}

.spl-koraal {
    color: var(--default-spl-koraal) !important;
}

.spl-koraal-bg {
    background-color: var(--default-spl-koraal) !important;
}

.top-header {
    height: 3.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between; /* Verdeel de elementen gelijkmatig */
    padding: 0 4rem; /* Zet 4rem marge links en rechts */
    position: relative;
}

.top-header-content {
    display: flex;
    align-items: center;
}

.top-header-color {
    background-color: red;
}

.pageTitle {
    text-align: center;
    display: flex;
    justify-content: right; /* Centraal in de beschikbare ruimte */
    align-items: center;
}

.header-line {
    position: absolute;
    z-index: 10;
}

.dashboard-body {
    font-family: Arial, sans-serif;
    text-align: center;
    margin: 50px;
}

.fractie-image {
    opacity: 0.8;
}

.progress-container {
    margin-top: 5px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}

.progress-item {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.progress-ring {
    transform: rotate(-90deg);
    transform-origin: center;
}

.background {
    stroke: #e0e0e0;
    stroke-width: 10;
}

.progress {
    stroke-width: 10;
    stroke-dasharray: 590.21; /* Omtrek voor r=94 */
    stroke-dashoffset: 590.21;
    stroke-linecap: round;
    transition: stroke-dashoffset 0.5s ease-out;
}

.fill-ring {
    opacity: 0.4;
}

.restafval-fill {
    fill: #7d7d7d;
}

.gft-fill {
    fill: #4caf50;
}

.glas-fill {
    fill: #FFD700;
}

.papier-fill {
    fill: #2196F3;
}

.plastic-fill {
    fill: #FF9800;
}

/* Kleuren per categorie */
.restafval {
    stroke: #7d7d7d;
}

.gft {
    stroke: #4caf50;
}

.glas {
    stroke: #FFD700;
}

.papier {
    stroke: #2196F3;
}

.plastic {
    stroke: #FF9800;
}

p {
    margin-top: 10px;
    font-size: 14px;
    font-weight: bold;
}

.content-container-main {
    height: 53vh; /* Of pas dit aan naar gewenste vaste hoogte */
    display: flex;
    flex-direction: column;
}


.content-wrapper {
    flex: 1;
    display: flex;
    gap: 10px;
    margin: 10px 0px 10px 0px;
    /*overflow: hidden;*/ /* voorkomt dat binnenste elementen 'lekken' */
}

.content-left-wrapper {
    display: flex;
    flex-direction: column;
    flex: 1 1 65%; /* of .w-65 gebruiken met width: 65% */
    gap: 10px;
    /*overflow: hidden;*/ /* belangrijk zodat children niet buiten kader gaan */
}

    .content-left-wrapper .content-tile:first-child {
        flex: 0 0 auto;
    }

    .content-left-wrapper .content-tile:last-child {
        flex: 1 1 auto;
        overflow-y: auto;
    }

.content-tile.w-35 {
    flex: 0 0 35%;
    height: 100%;
    overflow-y: auto;
}

}

.content-actions-wrapper {
    display: flex;
    flex-direction: column;
}

.content-actions {
    overflow-y: auto;
    height: 136px;
}

.top-header-content-tile {
    background-color: var(--default-spl-bloem);
    border: 1px solid #ddd;
    border-radius: 12px;
    padding: 5px 10px 2px 10px;
    color: #3d3d3d;
}

.content-tile {
    background-color: white;
    border: 1px solid #ddd;
    border-radius: 12px;
    padding: 10px;
}

.divider {
    border-bottom: 1px solid #d9d9d9;
    padding: 2px;
}

.difference-tile {
    background-color: white;
    border: 1px solid #ddd;
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding-right: 8px;
    padding-left: 8px;
}

    .difference-tile p {
        margin: 0;
    }

.percentage-tile {
    text-align: center;
}

.chartImage {
    width: 700px;
}

.chartTile {
    max-width: 650px;
}

.datePicker-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
}

    .datePicker-wrapper > div {
        flex: 1; /* Zorgt ervoor dat alle divs evenveel ruimte innemen */
        text-align: center; /* Centreert de inhoud binnen elk div */
    }

.content-top-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    margin-bottom: 0.2rem;
}

    .content-top-wrapper > div {
        flex: 1; /* Zorgt ervoor dat alle divs evenveel ruimte innemen */
        text-align: center; /* Centreert de inhoud binnen elk div */
    }

.w-65 {
    width: 65% !important
}

.w-35 {
    width: 35% !important
}

.my-contract-container {
    position: relative;
}

    .my-contract-container:hover .contract-popup {
        display: block;
    }

.contract-popup {
    display: none;
    position: absolute;
    top: 100%; /* Below the h1 */
    left: 50%;
    transform: translateX(-50%);
    background-color: white;
    border: 2px solid var(--default-spl-green);
    padding: 10px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    white-space: nowrap;
    z-index: 1000;
}

.contract-popup-header {
    color: var(--default-spl-green);
}

.rz-table-border-radius {
    border-radius: 5px !important;
}
